Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 879745 - 18.5. Setting a FreeIPA Server as an Apache Virtual Host causes systax errors
Summary: 18.5. Setting a FreeIPA Server as an Apache Virtual Host causes systax errors
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: freeipa
Version: 18
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Deon Ballard
QA Contact: Fedora Docs QA
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-24 01:53 UTC by Dean Hunter
Modified: 2013-03-01 00:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-01 00:33:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Dean Hunter 2012-11-24 01:53:30 UTC
Description of problem:
Following the instructions in Section 18.5. Setting a FreeIPA Server as an Apache Virtual Host of the FreeIPA Guide results in systax errors in the Apache configuration.

Version-Release number of selected component (if applicable):
Fedora 17 FreeIPA Guide
freeipa-server.x86_64            2.2.1-2.fc17

How reproducible:
consistently

Steps to Reproduce:
1. Follow the instructions to modify ipa.conf
2. apachectl configtest
  
Actual results:
WSGISocketPrefix cannot occur within <VirtualHost> section
KrbConstrainedDelegationLock cannot occur within <VirtualHost> section

Expected results:
Syntax OK

Additional info:
I am trying to server user content from the Apache server installed with FreeIPA. I thought if I configured the IPA server into a virtual host I could create additional virtual hosts for user content without conflict.

Comment 1 Rob Crittenden 2012-12-03 16:18:21 UTC
It depends on what you're trying to do. You can put user content in place without modifying the IPA configuration at all, it should just work.

Comment 2 Deon Ballard 2012-12-03 17:26:36 UTC
I just deleted that section from the docs.

Comment 3 Dean Hunter 2012-12-04 15:36:06 UTC
Thank you. I had discovered that I could add my own virtual servers without affecting the operation of IPA. And I appreciate the correction to the documentation. How long before the change is visible at docs.fedoraproject.org?

Comment 4 Dean Hunter 2013-01-24 21:54:27 UTC
http://docs.fedoraproject.org/en-US/Fedora/17/html/FreeIPA_Guide/index.html does not reflect this change.

Comment 5 Deon Ballard 2013-03-01 00:33:29 UTC
Mass closure.


Note You need to log in before you can comment on or make changes to this bug.